Kamis, 11 Juli 2013

Upgrade Apache dan PHP pada Linux Centos 6



Seperti kita ketahui, biasanya apache dan php yang ada pada linux centos ini bukanlah versi yang terbaru, biasanya cukup jauh beda versinya antara milik repository centos dengan yang ada di website resmi apache dan php.

Namun kita bisa lakukan upgrade apache dan php ke versi yang lebih baru dari yang ada di repository nya centos, Jika anda ingin melakukannya, ikuti blog ini :)

Oh iya pertama kali kita harus lihat versi awal dari apache dan php sebelum di upgrade, command nya adalah sebagai berikut :

# httpd -v
Server version: Apache/2.2.15 (Unix)
Server built:   May 13 2013 22:11:16

# php -v
PHP 5.3.3 (cli) (built: Feb 22 2013 02:51:11) 
Copyright (c) 1997-2010 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
    with the ionCube PHP Loader v4.0.11, Copyright (c) 2002-2011, by ionCube Ltd.

Pertama kali, kita akan upgrade Apache nya dulu.

1. Download repo baru yang dibutuhkan :

# wget http://centos.alt.ru/repository/centos/6/x86_64/centalt-release-6-1.noarch.rpm
--2013-07-11 01:24:53--  http://centos.alt.ru/repository/centos/6/x86_64/centalt-release-6-1.noarch.rpm
Resolving centos.alt.ru... 80.247.97.12
Connecting to centos.alt.ru|80.247.97.12|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 2636 (2.6K) [application/x-redhat-package-manager]
Saving to: “centalt-release-6-1.noarch.rpm”

100%[====================================================================================>] 2,636       --.-K/s   in 0s      

2013-07-11 01:24:53 (283 MB/s) - “centalt-release-6-1.noarch.rpm” saved [2636/2636]

2. Install file rpm nya :

# rpm -Uvh centalt-release*rpm
warning: centalt-release-6-1.noarch.rpm: Header V3 DSA/SHA1 Signature, key ID e9bc4ae1: NOKEY
Preparing...                ########################################### [100%]
   1:centalt-release        ########################################### [100%]

3. Install Apache terbaru nya :

# yum install httpd-devel
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: buaya.klas.or.id
 * epel: mirror.smartmedia.net.id
 * extras: buaya.klas.or.id
 * updates: buaya.klas.or.id
CentALT                                                                                                |  951 B     00:00     
CentALT/primary                                                                                        |  85 kB     00:01     
CentALT                                                                                                               263/263
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package httpd-devel.x86_64 0:2.2.24-1.el6 will be installed
--> Processing Dependency: httpd = 2.2.24-1.el6 for package: httpd-devel-2.2.24-1.el6.x86_64
--> Processing Dependency: apr-util-devel for package: httpd-devel-2.2.24-1.el6.x86_64
--> Processing Dependency: apr-devel for package: httpd-devel-2.2.24-1.el6.x86_64
--> Running transaction check
---> Package apr-devel.x86_64 0:1.3.9-5.el6_2 will be installed
---> Package apr-util-devel.x86_64 0:1.3.9-3.el6_0.1 will be installed
--> Processing Dependency: openldap-devel for package: apr-util-devel-1.3.9-3.el6_0.1.x86_64
--> Processing Dependency: expat-devel for package: apr-util-devel-1.3.9-3.el6_0.1.x86_64
--> Processing Dependency: db4-devel for package: apr-util-devel-1.3.9-3.el6_0.1.x86_64
---> Package httpd.x86_64 0:2.2.15-28.el6.centos will be updated
--> Processing Dependency: httpd = 2.2.15-28.el6.centos for package: httpd-manual-2.2.15-28.el6.centos.noarch
--> Processing Dependency: httpd = 2.2.15-28.el6.centos for package: 1:mod_ssl-2.2.15-28.el6.centos.x86_64
---> Package httpd.x86_64 0:2.2.24-1.el6 will be an update
--> Processing Dependency: httpd-tools = 2.2.24-1.el6 for package: httpd-2.2.24-1.el6.x86_64
--> Running transaction check
---> Package db4-devel.x86_64 0:4.7.25-17.el6 will be installed
--> Processing Dependency: db4-cxx = 4.7.25-17.el6 for package: db4-devel-4.7.25-17.el6.x86_64
--> Processing Dependency: libdb_cxx-4.7.so()(64bit) for package: db4-devel-4.7.25-17.el6.x86_64
---> Package expat-devel.x86_64 0:2.0.1-11.el6_2 will be installed
---> Package httpd-manual.noarch 0:2.2.15-28.el6.centos will be updated
---> Package httpd-manual.x86_64 0:2.2.24-1.el6 will be an update
---> Package httpd-tools.x86_64 0:2.2.15-28.el6.centos will be updated
---> Package httpd-tools.x86_64 0:2.2.24-1.el6 will be an update
---> Package mod_ssl.x86_64 1:2.2.15-28.el6.centos will be updated
---> Package mod_ssl.x86_64 1:2.2.24-1.el6 will be an update
---> Package openldap-devel.x86_64 0:2.4.23-32.el6_4.1 will be installed
--> Processing Dependency: cyrus-sasl-devel >= 2.1 for package: openldap-devel-2.4.23-32.el6_4.1.x86_64
--> Running transaction check
---> Package cyrus-sasl-devel.x86_64 0:2.1.23-13.el6_3.1 will be installed
---> Package db4-cxx.x86_64 0:4.7.25-17.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================
 Package                           Arch                    Version                             Repository                Size
==============================================================================================================================
Installing:
 httpd-devel                       x86_64                  2.2.24-1.el6                        CentALT                  138 k
Installing for dependencies:
 apr-devel                         x86_64                  1.3.9-5.el6_2                       base                     176 k
 apr-util-devel                    x86_64                  1.3.9-3.el6_0.1                     base                      69 k
 cyrus-sasl-devel                  x86_64                  2.1.23-13.el6_3.1                   base                     302 k
 db4-cxx                           x86_64                  4.7.25-17.el6                       base                     588 k
 db4-devel                         x86_64                  4.7.25-17.el6                       base                     6.6 M
 expat-devel                       x86_64                  2.0.1-11.el6_2                      base                     120 k
 openldap-devel                    x86_64                  2.4.23-32.el6_4.1                   updates                  1.1 M
Updating for dependencies:
 httpd                             x86_64                  2.2.24-1.el6                        CentALT                  883 k
 httpd-manual                      x86_64                  2.2.24-1.el6                        CentALT                  960 k
 httpd-tools                       x86_64                  2.2.24-1.el6                        CentALT                   62 k
 mod_ssl                           x86_64                  1:2.2.24-1.el6                      CentALT                   82 k

Transaction Summary
==============================================================================================================================
Install       8 Package(s)
Upgrade       4 Package(s)

Total download size: 11 M
Is this ok [y/N]: y
Downloading Packages:
(1/12): apr-devel-1.3.9-5.el6_2.x86_64.rpm                                                             | 176 kB     00:00     
(2/12): apr-util-devel-1.3.9-3.el6_0.1.x86_64.rpm                                                      |  69 kB     00:00     
(3/12): cyrus-sasl-devel-2.1.23-13.el6_3.1.x86_64.rpm                                                  | 302 kB     00:00     
(4/12): db4-cxx-4.7.25-17.el6.x86_64.rpm                                                               | 588 kB     00:00     
(5/12): db4-devel-4.7.25-17.el6.x86_64.rpm                                                             | 6.6 MB     00:00     
(6/12): expat-devel-2.0.1-11.el6_2.x86_64.rpm                                                          | 120 kB     00:00     
(7/12): httpd-2.2.24-1.el6.x86_64.rpm                                                                  | 883 kB     00:01     
(8/12): httpd-devel-2.2.24-1.el6.x86_64.rpm                                                            | 138 kB     00:00     
(9/12): httpd-manual-2.2.24-1.el6.x86_64.rpm                                                           | 960 kB     00:00     
(10/12): httpd-tools-2.2.24-1.el6.x86_64.rpm                                                           |  62 kB     00:00     
(11/12): mod_ssl-2.2.24-1.el6.x86_64.rpm                                                               |  82 kB     00:00     
(12/12): openldap-devel-2.4.23-32.el6_4.1.x86_64.rpm                                                   | 1.1 MB     00:00     
------------------------------------------------------------------------------------------------------------------------------
Total                                                                                         2.0 MB/s |  11 MB     00:05     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
  Installing : apr-devel-1.3.9-5.el6_2.x86_64                                                                            1/16 
  Updating   : httpd-tools-2.2.24-1.el6.x86_64                                                                           2/16 
  Updating   : httpd-2.2.24-1.el6.x86_64                                                                                 3/16 
warning: /etc/httpd/conf/httpd.conf created as /etc/httpd/conf/httpd.conf.rpmnew
  Installing : expat-devel-2.0.1-11.el6_2.x86_64                                                                         4/16 
  Installing : db4-cxx-4.7.25-17.el6.x86_64                                                                              5/16 
  Installing : db4-devel-4.7.25-17.el6.x86_64                                                                            6/16 
  Installing : cyrus-sasl-devel-2.1.23-13.el6_3.1.x86_64                                                                 7/16 
  Installing : openldap-devel-2.4.23-32.el6_4.1.x86_64                                                                   8/16 
  Installing : apr-util-devel-1.3.9-3.el6_0.1.x86_64                                                                     9/16 
  Installing : httpd-devel-2.2.24-1.el6.x86_64                                                                          10/16 
  Updating   : 1:mod_ssl-2.2.24-1.el6.x86_64                                                                            11/16 
warning: /etc/httpd/conf.d/ssl.conf created as /etc/httpd/conf.d/ssl.conf.rpmnew
  Updating   : httpd-manual-2.2.24-1.el6.x86_64                                                                         12/16 
  Cleanup    : httpd-manual-2.2.15-28.el6.centos.noarch                                                                 13/16 
  Cleanup    : 1:mod_ssl-2.2.15-28.el6.centos.x86_64                                                                    14/16 
  Cleanup    : httpd-2.2.15-28.el6.centos.x86_64                                                                        15/16 
  Cleanup    : httpd-tools-2.2.15-28.el6.centos.x86_64                                                                  16/16 
  Verifying  : cyrus-sasl-devel-2.1.23-13.el6_3.1.x86_64                                                                 1/16 
  Verifying  : apr-devel-1.3.9-5.el6_2.x86_64                                                                            2/16 
  Verifying  : httpd-2.2.24-1.el6.x86_64                                                                                 3/16 
  Verifying  : 1:mod_ssl-2.2.24-1.el6.x86_64                                                                             4/16 
  Verifying  : httpd-manual-2.2.24-1.el6.x86_64                                                                          5/16 
  Verifying  : httpd-devel-2.2.24-1.el6.x86_64                                                                           6/16 
  Verifying  : apr-util-devel-1.3.9-3.el6_0.1.x86_64                                                                     7/16 
  Verifying  : db4-cxx-4.7.25-17.el6.x86_64                                                                              8/16 
  Verifying  : openldap-devel-2.4.23-32.el6_4.1.x86_64                                                                   9/16 
  Verifying  : expat-devel-2.0.1-11.el6_2.x86_64                                                                        10/16 
  Verifying  : db4-devel-4.7.25-17.el6.x86_64                                                                           11/16 
  Verifying  : httpd-tools-2.2.24-1.el6.x86_64                                                                          12/16 
  Verifying  : httpd-2.2.15-28.el6.centos.x86_64                                                                        13/16 
  Verifying  : 1:mod_ssl-2.2.15-28.el6.centos.x86_64                                                                    14/16 
  Verifying  : httpd-manual-2.2.15-28.el6.centos.noarch                                                                 15/16 
  Verifying  : httpd-tools-2.2.15-28.el6.centos.x86_64                                                                  16/16 

Installed:
  httpd-devel.x86_64 0:2.2.24-1.el6                                                                                           

Dependency Installed:
  apr-devel.x86_64 0:1.3.9-5.el6_2                                apr-util-devel.x86_64 0:1.3.9-3.el6_0.1                    
  cyrus-sasl-devel.x86_64 0:2.1.23-13.el6_3.1                     db4-cxx.x86_64 0:4.7.25-17.el6                             
  db4-devel.x86_64 0:4.7.25-17.el6                                expat-devel.x86_64 0:2.0.1-11.el6_2                        
  openldap-devel.x86_64 0:2.4.23-32.el6_4.1                      

Dependency Updated:
  httpd.x86_64 0:2.2.24-1.el6           httpd-manual.x86_64 0:2.2.24-1.el6         httpd-tools.x86_64 0:2.2.24-1.el6        
  mod_ssl.x86_64 1:2.2.24-1.el6        

Complete!

4. Selesai, sekarang kita cek versi apache nya, apakah sudah naik versinya atau belum :

# httpd -v
Server version: Apache/2.2.24 (Unix)
Server built:   Apr 19 2013 20:07:09

Sekarang versi apache sudah naik menjadi 2.2.24.

Langkah berikutnya adalah upgrade php yang ada

1. Backup dulu file php.ini nya :

# cp /etc/php.ini /etc/php.ini.backup

2. Lihat paket php apa saja yang terinstall sebelumnya :

# rpm -qa | grep php
php-cli-5.3.3-22.el6.x86_64
php-xml-5.3.3-22.el6.x86_64
php-common-5.3.3-22.el6.x86_64
php-mysql-5.3.3-22.el6.x86_64
php-pear-1.9.4-4.el6.noarch
php-mcrypt-5.3.3-1.el6.x86_64
php-5.3.3-22.el6.x86_64
php-pdo-5.3.3-22.el6.x86_64
php-gd-5.3.3-22.el6.x86_64

3. Hapus semua paket php yang ada :

# rpm -e php-cli-5.3.3-22.el6.x86_64 php-xml-5.3.3-22.el6.x86_64 php-common-5.3.3-22.el6.x86_64 php-mysql-5.3.3-22.el6.x86_64 php-pear-1.9.4-4.el6.noarch php-mcrypt-5.3.3-1.el6.x86_64 php-5.3.3-22.el6.x86_64 php-pdo-5.3.3-22.el6.x86_64 php-gd-5.3.3-22.el6.x86_64
warning: /etc/php.ini saved as /etc/php.ini.rpmsave

4. Download file reponya dan install :

# rpm -Uvh http://mirror.webtatic.com/yum/el6/latest.rpm
Retrieving http://mirror.webtatic.com/yum/el6/latest.rpm
warning: /var/tmp/rpm-tmp.fXFixj: Header V4 DSA/SHA1 Signature, key ID cf4c4ff9: NOKEY
Preparing...                ########################################### [100%]
   1:webtatic-release       ########################################### [100%]

5. Install php versi yang lebih barunya :

# yum install php54w
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: buaya.klas.or.id
 * epel: mirror.smartmedia.net.id
 * extras: buaya.klas.or.id
 * updates: buaya.klas.or.id
 * webtatic: uk.repo.webtatic.com
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package php54w.x86_64 0:5.4.16-1.w6 will be installed
--> Processing Dependency: php54w-common = 5.4.16-1.w6 for package: php54w-5.4.16-1.w6.x86_64
--> Processing Dependency: php54w-cli = 5.4.16-1.w6 for package: php54w-5.4.16-1.w6.x86_64
--> Running transaction check
---> Package php54w-cli.x86_64 0:5.4.16-1.w6 will be installed
---> Package php54w-common.x86_64 0:5.4.16-1.w6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================
 Package                          Arch                      Version                         Repository                   Size
==============================================================================================================================
Installing:
 php54w                           x86_64                    5.4.16-1.w6                     webtatic                    1.3 M
Installing for dependencies:
 php54w-cli                       x86_64                    5.4.16-1.w6                     webtatic                    2.5 M
 php54w-common                    x86_64                    5.4.16-1.w6                     webtatic                   582 k

Transaction Summary
==============================================================================================================================
Install       3 Package(s)

Total download size: 4.4 M
Installed size: 16 M
Is this ok [y/N]: y
Downloading Packages:
(1/3): php54w-5.4.16-1.w6.x86_64.rpm                                                                   | 1.3 MB     00:04     
(2/3): php54w-cli-5.4.16-1.w6.x86_64.rpm                                                               | 2.5 MB     00:01     
(3/3): php54w-common-5.4.16-1.w6.x86_64.rpm                                                            | 582 kB     00:00     
------------------------------------------------------------------------------------------------------------------------------
Total                                                                                         685 kB/s | 4.4 MB     00:06     
warning: rpmts_HdrFromFdno: Header V4 DSA/SHA1 Signature, key ID cf4c4ff9: NOKEY
Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-webtatic-andy
Importing GPG key 0xCF4C4FF9:
 Userid : Andy Thompson
 Package: webtatic-release-6-4.noarch (installed)
 From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-webtatic-andy
Is this ok [y/N]: y
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Warning: RPMDB altered outside of yum.
  Installing : php54w-common-5.4.16-1.w6.x86_64                                                                           1/3 
  Installing : php54w-cli-5.4.16-1.w6.x86_64                                                                              2/3 
  Installing : php54w-5.4.16-1.w6.x86_64                                                                                  3/3 
  Verifying  : php54w-common-5.4.16-1.w6.x86_64                                                                           1/3 
  Verifying  : php54w-5.4.16-1.w6.x86_64                                                                                  2/3 
  Verifying  : php54w-cli-5.4.16-1.w6.x86_64                                                                              3/3 

Installed:
  php54w.x86_64 0:5.4.16-1.w6                                                                                                 

Dependency Installed:
  php54w-cli.x86_64 0:5.4.16-1.w6                              php54w-common.x86_64 0:5.4.16-1.w6                             
Complete!

6. Install juga paket php yang lain nya yang memang dibutuhkan seperti dalam paket php yang sudah kita hapus :

# yum install php54w-devel.x86_64 php54w-gd.x86_64 php54w-mcrypt.x86_64 php54w-mssql.x86_64 php54w-mysql.x86_64 php54w-pear.noarch php54w-pdo.x86_64 php54w-xml.x86_64
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: buaya.klas.or.id
 * epel: mirror.smartmedia.net.id
 * extras: buaya.klas.or.id
 * updates: buaya.klas.or.id
 * webtatic: uk.repo.webtatic.com
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package php54w-devel.x86_64 0:5.4.16-1.w6 will be installed
--> Processing Dependency: automake for package: php54w-devel-5.4.16-1.w6.x86_64
--> Processing Dependency: autoconf for package: php54w-devel-5.4.16-1.w6.x86_64
---> Package php54w-gd.x86_64 0:5.4.16-1.w6 will be installed
---> Package php54w-mcrypt.x86_64 0:5.4.16-1.w6 will be installed
---> Package php54w-mssql.x86_64 0:5.4.16-1.w6 will be installed
--> Processing Dependency: libsybdb.so.5()(64bit) for package: php54w-mssql-5.4.16-1.w6.x86_64
---> Package php54w-mysql.x86_64 0:5.4.16-1.w6 will be installed
---> Package php54w-pdo.x86_64 0:5.4.16-1.w6 will be installed
---> Package php54w-pear.noarch 1:1.9.4-6.w6 will be installed
---> Package php54w-xml.x86_64 0:5.4.16-1.w6 will be installed
--> Running transaction check
---> Package autoconf.noarch 0:2.63-5.1.el6 will be installed
---> Package automake.noarch 0:1.11.1-4.el6 will be installed
---> Package freetds.x86_64 0:0.91-2.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

==============================================================================================================================
 Package                          Arch                      Version                         Repository                   Size
==============================================================================================================================
Installing:
 php54w-devel                     x86_64                    5.4.16-1.w6                     webtatic                    594 k
 php54w-gd                        x86_64                    5.4.16-1.w6                     webtatic                     88 k
 php54w-mcrypt                    x86_64                    5.4.16-1.w6                     webtatic                     16 k
 php54w-mssql                     x86_64                    5.4.16-1.w6                     webtatic                     25 k
 php54w-mysql                     x86_64                    5.4.16-1.w6                     webtatic                     65 k
 php54w-pdo                       x86_64                    5.4.16-1.w6                     webtatic                     58 k
 php54w-pear                      noarch                    1:1.9.4-6.w6                    webtatic                    389 k
 php54w-xml                       x86_64                    5.4.16-1.w6                     webtatic                     86 k
Installing for dependencies:
 autoconf                         noarch                    2.63-5.1.el6                    base                        781 k
 automake                         noarch                    1.11.1-4.el6                    base                        550 k
 freetds                          x86_64                    0.91-2.el6                      epel                        568 k

Transaction Summary
==============================================================================================================================
Install      11 Package(s)

Total download size: 3.1 M
Installed size: 14 M
Is this ok [y/N]: y
Downloading Packages:
(1/11): autoconf-2.63-5.1.el6.noarch.rpm                                                               | 781 kB     00:00     
(2/11): automake-1.11.1-4.el6.noarch.rpm                                                               | 550 kB     00:00     
(3/11): freetds-0.91-2.el6.x86_64.rpm                                                                  | 568 kB     00:00     
(4/11): php54w-devel-5.4.16-1.w6.x86_64.rpm                                                            | 594 kB     00:03     
(5/11): php54w-gd-5.4.16-1.w6.x86_64.rpm                                                               |  88 kB     00:00     
(6/11): php54w-mcrypt-5.4.16-1.w6.x86_64.rpm                                                           |  16 kB     00:00     
(7/11): php54w-mssql-5.4.16-1.w6.x86_64.rpm                                                            |  25 kB     00:00     
(8/11): php54w-mysql-5.4.16-1.w6.x86_64.rpm                                                            |  65 kB     00:00     
(9/11): php54w-pdo-5.4.16-1.w6.x86_64.rpm                                                              |  58 kB     00:00     
(10/11): php54w-pear-1.9.4-6.w6.noarch.rpm                                                             | 389 kB     00:00     
(11/11): php54w-xml-5.4.16-1.w6.x86_64.rpm                                                             |  86 kB     00:00     
------------------------------------------------------------------------------------------------------------------------------
Total                                                                                         477 kB/s | 3.1 MB     00:06     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : autoconf-2.63-5.1.el6.noarch                                                                              1/11 
  Installing : php54w-pdo-5.4.16-1.w6.x86_64                                                                             2/11 
  Installing : automake-1.11.1-4.el6.noarch                                                                              3/11 
  Installing : freetds-0.91-2.el6.x86_64                                                                                 4/11 
  Installing : php54w-mssql-5.4.16-1.w6.x86_64                                                                           5/11 
  Installing : php54w-devel-5.4.16-1.w6.x86_64                                                                           6/11 
  Installing : php54w-mysql-5.4.16-1.w6.x86_64                                                                           7/11 
  Installing : php54w-mcrypt-5.4.16-1.w6.x86_64                                                                          8/11 
  Installing : php54w-gd-5.4.16-1.w6.x86_64                                                                              9/11 
  Installing : 1:php54w-pear-1.9.4-6.w6.noarch                                                                          10/11 
  Installing : php54w-xml-5.4.16-1.w6.x86_64                                                                            11/11 
  Verifying  : freetds-0.91-2.el6.x86_64                                                                                 1/11 
  Verifying  : php54w-xml-5.4.16-1.w6.x86_64                                                                             2/11 
  Verifying  : php54w-mysql-5.4.16-1.w6.x86_64                                                                           3/11 
  Verifying  : 1:php54w-pear-1.9.4-6.w6.noarch                                                                           4/11 
  Verifying  : php54w-gd-5.4.16-1.w6.x86_64                                                                              5/11 
  Verifying  : automake-1.11.1-4.el6.noarch                                                                              6/11 
  Verifying  : php54w-pdo-5.4.16-1.w6.x86_64                                                                             7/11 
  Verifying  : php54w-mcrypt-5.4.16-1.w6.x86_64                                                                          8/11 
  Verifying  : php54w-devel-5.4.16-1.w6.x86_64                                                                           9/11 
  Verifying  : php54w-mssql-5.4.16-1.w6.x86_64                                                                          10/11 
  Verifying  : autoconf-2.63-5.1.el6.noarch                                                                             11/11 

Installed:
  php54w-devel.x86_64 0:5.4.16-1.w6        php54w-gd.x86_64 0:5.4.16-1.w6           php54w-mcrypt.x86_64 0:5.4.16-1.w6       
  php54w-mssql.x86_64 0:5.4.16-1.w6        php54w-mysql.x86_64 0:5.4.16-1.w6        php54w-pdo.x86_64 0:5.4.16-1.w6          
  php54w-pear.noarch 1:1.9.4-6.w6          php54w-xml.x86_64 0:5.4.16-1.w6         

Dependency Installed:
  autoconf.noarch 0:2.63-5.1.el6            automake.noarch 0:1.11.1-4.el6            freetds.x86_64 0:0.91-2.el6           

Complete!

Setelah semua selesai di install, lakukan restart service apache nya :

# /etc/init.d/httpd restart

Sekarang apache dan php sudah naik versinya :

# httpd -v
Server version: Apache/2.2.24 (Unix)
Server built:   Apr 19 2013 20:07:09

# php -v
PHP 5.4.16 (cli) (built: Jun  9 2013 08:29:15) 
Copyright (c) 1997-2013 The PHP Group

Tulisan ini dibuat sebagai referensi pribadi saya, dan semoga bermanfaat juga untuk teman semua.

Dony Ramansyah
site : http://donyramansyah.net
blog : dony-ramansyah.blogspot.com
email : dony.ramansyah[at]gmail.com
Registered linux user : ID 400171

1 komentar:

christina jeni mengatakan...

Hi friends,This is Christy from Chennai.Thanks for sharing this informative blog. I did Unix certification course in Chennai at Fita academy. This is really useful for me to make a bright career. Suppose if anyone interested to learn Best Unix Training Chennai please visit Fita academy located at Chennai.
Regards..
Unix Training Institutes in Chennai